import React from "react";
import style from "./Home.module.scss";
import { Container, Row, Col } from "react-bootstrap";
import NavbarComponent from "../../Components/Navbar/Navbar";
import "../../App.scss";
import { headImg, skillPad } from "../../Constant/Images";
import CourseCategories from "../../Components/CourseCategories/CourseCategories";
import { categories, topCourse } from "../../Constant/mockData";
import CourseCard from "../../Components/CourseCard/CourseCard";

const Home = () => {
  return (
    <>
      <div>
        <NavbarComponent />
        <div className={style.headerContainer}>
          <Container>
            <Row>
              <Col>
                <div className={style.innerMainContainer}>
                  <h1 className={style.headTitle}>
                    Learn Excilence in Teaching
                  </h1>
                  <h4 className={style.headSubTitle}>
                    Lorem ipsum dolor sit amet, consectetur adipiscing elit.{" "}
                  </h4>
                  <button className={style.exploreBtn}>Explore Courses</button>
                  <img src={headImg} alt="" className={style.headManImg} />
                </div>
              </Col>
            </Row>
          </Container>
        </div>
        <div className={style.courseCategoriesContainer}>
          <Container>
            <Row>
              <Col>
                <div className={style.innerMainContainer}>
                  <h2 className={style.headTitle}>Course Categories</h2>
                  <div className={style.bottomBorder}></div>
                  <div className={style.courseCategoriesBox}>
                    {categories?.map((item, ind) => {
                      return <CourseCategories title={item?.title} />;
                    })}
                  </div>
                </div>
              </Col>
            </Row>
          </Container>
        </div>
        <div className={style.topCoursesContainer}>
          <Container>
            <Row>
              <Col>
                <div className={style.innerMainContainer}>
                  <div className={style.topCoursesHead}>
                    <div>
                      <h2 className={style.headTitle}>Top Courses</h2>
                      <p className={`p-14 ${style.subTitle}`}>
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit.
                        Morbi bibendum venenatis mollis.{" "}
                      </p>
                    </div>
                    <div>
                      <button className={style.viewMorebutton}>
                        View More
                      </button>
                    </div>
                  </div>
                  <div>
                    <Row>
                      {topCourse?.map((item, ind) => {
                        return (
                          <Col md={4} style={{ marginTop: "20px" }}>
                            <CourseCard data={item} />
                          </Col>
                        );
                      })}
                    </Row>
                  </div>
                </div>
              </Col>
            </Row>
          </Container>
        </div>
        <div className={style.discoverContianer}>
          <Container>
            <h3 className={style.title}>Discover Our Popular Course</h3>
            <p className={`p-14 ${style.subTitle} `}>
              Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi
              bibendum venenatis mollis.
            </p>

            <Row className={style.pointsContainer}>
              <Col md={4}>
                <div className={`${style.background} ${style.backgroundPink}`}>
                  <h4 className={style.innerText}>Top Rated</h4>
                </div>
              </Col>
              <Col md={4}>
                <div
                  className={`${style.background} ${style.backgroundPurple}`}
                >
                  <h4 className={style.innerText}>Trending</h4>
                </div>
              </Col>
              <Col md={4}>
                <div className={`${style.background} ${style.backgroundBlue}`}>
                  <h4 className={style.innerText}>New and Noteworthy</h4>
                </div>
              </Col>
            </Row>
          </Container>
        </div>
        <div className={style.bestSellerContainer}>
          <Container>
            <Row>
              <Col>
                <div className={style.innerMainContainer}>
                  <div className={style.topCoursesHead}>
                    <div>
                      <h2 className={style.headTitle}>Best Sellers Courses</h2>
                      <p className={`p-14 ${style.subTitle}`}>
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit.
                        Morbi bibendum venenatis mollis.
                      </p>
                    </div>
                    <div>
                      <button className={style.viewMorebutton}>
                        View More
                      </button>
                    </div>
                  </div>
                  <div>
                    <Row>
                      {topCourse?.map((item, ind) => {
                        return (
                          <Col md={4} style={{ marginTop: "20px" }}>
                            <CourseCard data={item} />
                          </Col>
                        );
                      })}
                    </Row>
                  </div>
                </div>
              </Col>
            </Row>
          </Container>
        </div>
        <div className={style.acheiveGoalContainer}>
          <Container>
            <h3>Achieve Your Goals</h3>
            <p className={`p-14 ${style.subTitle} `}>
              Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi
              bibendum venenatis mollis.
            </p>
            <Row>
              <Col md={4}>
                <div className={style.box}>
                  <img src={skillPad} />
                  <h6 className={style.title}>Expand Skill Development</h6>
                  <p className={`p-14 ${style.subTitle} `}>
                    Lorem ipsum dolor sit amet, consectetur adipiscing elit.
                    Morbi bibendum venenatis mollis.
                  </p>
                </div>
              </Col>
              <Col md={4}>
                <div className={style.box}></div>
              </Col>
              <Col md={4}>
                <div className={style.box}></div>
              </Col>
            </Row>
          </Container>
        </div>
      </div>
    </>
  );
};

export default Home;
